CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
CommandMessenger.DisposableObject Class Reference
Inheritance diagram for CommandMessenger.DisposableObject:

List of all members.

## Public Member Functions
virtual void | Dispose ()
## Protected Member Functions
virtual void | Dispose (bool disposing)
| Remove all references and remove children.
## Protected Attributes
DisposeStack | DisposeStack = new DisposeStack()
bool | IsDisposed = false

## Member Function Documentation

virtual void CommandMessenger.DisposableObject.Dispose | ( | bool | disposing | ) | `[protected, virtual]`

Remove all references and remove children.

Parameters:

  disposing | If true, cleanup

Reimplemented in CommandMessenger.CmdMessenger, CommandMessenger.Serialport.SerialTransport, CommandMessenger.Bluetooth.BluetoothTransport, CommandMessenger.CommunicationManager, CommandMessenger.TimedAction, CommandMessenger.TimedAction, and CommandMessenger.CommandQueue.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/DisposableObject.cs